Package de.gebit.integrity.dsl.impl

## Class ConstantDefinitionImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - de.gebit.integrity.dsl.impl.PackageStatementImpl
          - - de.gebit.integrity.dsl.impl.ConstantDefinitionImpl

- All Implemented Interfaces:
    `ConstantDefinition`, `PackageStatement`, `SuiteStatement`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`

      public class ConstantDefinitionImpl
      extends PackageStatementImpl
      implements ConstantDefinition

  An implementation of the model object 'Constant Definition'.

  The following features are implemented:

  - `Documentation`
  - `Private`
  - `Name`
  - `Value`
  - `Variant Values`
  - `Parameterized`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected DocumentationComment` | `documentation` | The cached value of the '`Documentation`' containment reference.
    `protected ConstantEntity` | `name` | The cached value of the '`Name`' containment reference.
    `protected String` | `parameterized` | The cached value of the '`Parameterized`' attribute.
    `protected static String` | `PARAMETERIZED_EDEFAULT` | The default value of the '`Parameterized`' attribute.
    `protected String` | `private_` | The cached value of the '`Private`' attribute.
    `protected static String` | `PRIVATE_EDEFAULT` | The default value of the '`Private`' attribute.
    `protected ValueOrEnumValueOrOperationCollection` | `value` | The cached value of the '`Value`' containment reference.
    `protected org.eclipse.emf.common.util.EList<VariantValue>` | `variantValues` | The cached value of the '`Variant Values`' containment reference list.

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ConstantDefinitionImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.emf.common.notify.NotificationChain` | `basicSetDocumentation​(DocumentationComment newDocumentation, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `org.eclipse.emf.common.notify.NotificationChain` | `basicSetName​(ConstantEntity newName, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `org.eclipse.emf.common.notify.NotificationChain` | `basicSetValue​(ValueOrEnumValueOrOperationCollection newValue, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `Object` | `eGet​(int featureID, boolean resolve, boolean coreType)`
    `org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove​(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `boolean` | `eIsSet​(int featureID)`
    `void` | `eSet​(int featureID, Object newValue)`
    `protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
    `void` | `eUnset​(int featureID)`
    `DocumentationComment` | `getDocumentation()`
    `ConstantEntity` | `getName()`
    `String` | `getParameterized()`
    `String` | `getPrivate()`
    `ValueOrEnumValueOrOperationCollection` | `getValue()`
    `org.eclipse.emf.common.util.EList<VariantValue>` | `getVariantValues()`
    `void` | `setDocumentation​(DocumentationComment newDocumentation)`
    `void` | `setName​(ConstantEntity newName)`
    `void` | `setParameterized​(String newParameterized)`
    `void` | `setPrivate​(String newPrivate)`
    `void` | `setValue​(ValueOrEnumValueOrOperationCollection newValue)`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### documentation

          protected DocumentationComment documentation

      The cached value of the '`Documentation`' containment reference.
      See Also:
        `getDocumentation()`

    - #### PRIVATE_EDEFAULT

          protected static final String PRIVATE_EDEFAULT

      The default value of the '`Private`' attribute.
      See Also:
        `getPrivate()`

    - #### private_

          protected String private_

      The cached value of the '`Private`' attribute.
      See Also:
        `getPrivate()`

    - #### name

          protected ConstantEntity name

      The cached value of the '`Name`' containment reference.
      See Also:
        `getName()`

    - #### value

          protected ValueOrEnumValueOrOperationCollection value

      The cached value of the '`Value`' containment reference.
      See Also:
        `getValue()`

    - #### variantValues

          protected org.eclipse.emf.common.util.EList<VariantValue> variantValues

      The cached value of the '`Variant Values`' containment reference list.
      See Also:
        `getVariantValues()`

    - #### PARAMETERIZED_EDEFAULT

          protected static final String PARAMETERIZED_EDEFAULT

      The default value of the '`Parameterized`' attribute.
      See Also:
        `getParameterized()`

    - #### parameterized

          protected String parameterized

      The cached value of the '`Parameterized`' attribute.
      See Also:
        `getParameterized()`

  - ### Constructor Detail

    - #### ConstantDefinitionImpl

          protected ConstantDefinitionImpl()

  - ### Method Detail

    - #### eStaticClass

          protected org.eclipse.emf.ecore.EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `PackageStatementImpl`

    - #### getDocumentation

          public DocumentationComment getDocumentation()

      Specified by:
        `getDocumentation` in interface `ConstantDefinition`
      Returns:
        the value of the 'Documentation' containment reference.
      See Also:
        `ConstantDefinition.setDocumentation(DocumentationComment)`, `DslPackage.getConstantDefinition_Documentation()`

    - #### basicSetDocumentation

          public org.eclipse.emf.common.notify.NotificationChain basicSetDocumentation​(DocumentationComment newDocumentation,
                                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

    - #### setDocumentation

          public void setDocumentation​(DocumentationComment newDocumentation)

      Specified by:
        `setDocumentation` in interface `ConstantDefinition`
      Parameters:
        `newDocumentation` - the new value of the 'Documentation' containment reference.
      See Also:
        `ConstantDefinition.getDocumentation()`

    - #### getPrivate

          public String getPrivate()

      Specified by:
        `getPrivate` in interface `ConstantDefinition`
      Returns:
        the value of the 'Private' attribute.
      See Also:
        `ConstantDefinition.setPrivate(String)`, `DslPackage.getConstantDefinition_Private()`

    - #### setPrivate

          public void setPrivate​(String newPrivate)

      Specified by:
        `setPrivate` in interface `ConstantDefinition`
      Parameters:
        `newPrivate` - the new value of the 'Private' attribute.
      See Also:
        `ConstantDefinition.getPrivate()`

    - #### getName

          public ConstantEntity getName()

      Specified by:
        `getName` in interface `ConstantDefinition`
      Returns:
        the value of the 'Name' containment reference.
      See Also:
        `ConstantDefinition.setName(ConstantEntity)`, `DslPackage.getConstantDefinition_Name()`

    - #### basicSetName

          public org.eclipse.emf.common.notify.NotificationChain basicSetName​(ConstantEntity newName,
                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

    - #### setName

          public void setName​(ConstantEntity newName)

      Specified by:
        `setName` in interface `ConstantDefinition`
      Parameters:
        `newName` - the new value of the 'Name' containment reference.
      See Also:
        `ConstantDefinition.getName()`

    - #### getValue

          public ValueOrEnumValueOrOperationCollection getValue()

      Specified by:
        `getValue` in interface `ConstantDefinition`
      Returns:
        the value of the 'Value' containment reference.
      See Also:
        `ConstantDefinition.setValue(ValueOrEnumValueOrOperationCollection)`, `DslPackage.getConstantDefinition_Value()`

    - #### basicSetValue

          public org.eclipse.emf.common.notify.NotificationChain basicSetValue​(ValueOrEnumValueOrOperationCollection newValue,
                                                                               org.eclipse.emf.common.notify.NotificationChain msgs)

    - #### setValue

          public void setValue​(ValueOrEnumValueOrOperationCollection newValue)

      Specified by:
        `setValue` in interface `ConstantDefinition`
      Parameters:
        `newValue` - the new value of the 'Value' containment reference.
      See Also:
        `ConstantDefinition.getValue()`

    - #### getVariantValues

          public org.eclipse.emf.common.util.EList<VariantValue> getVariantValues()

      Specified by:
        `getVariantValues` in interface `ConstantDefinition`
      Returns:
        the value of the 'Variant Values' containment reference list.
      See Also:
        `DslPackage.getConstantDefinition_VariantValues()`

    - #### getParameterized

          public String getParameterized()

      Specified by:
        `getParameterized` in interface `ConstantDefinition`
      Returns:
        the value of the 'Parameterized' attribute.
      See Also:
        `ConstantDefinition.setParameterized(String)`, `DslPackage.getConstantDefinition_Parameterized()`

    - #### setParameterized

          public void setParameterized​(String newParameterized)

      Specified by:
        `setParameterized` in interface `ConstantDefinition`
      Parameters:
        `newParameterized` - the new value of the 'Parameterized' attribute.
      See Also:
        `ConstantDefinition.getParameterized()`

    - #### eInverseRemove

          public org.eclipse.emf.common.notify.NotificationChain eInverseRemove​(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                                int featureID,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

      Overrides:
        `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

    - #### eGet

          public Object eGet​(int featureID,
                             boolean resolve,
                             boolean coreType)

      Specified by:
        `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

    - #### eSet

          public void eSet​(int featureID,
                           Object newValue)

      Specified by:
        `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

    - #### eUnset

          public void eUnset​(int featureID)

      Specified by:
        `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

    - #### eIsSet

          public boolean eIsSet​(int featureID)

      Specified by:
        `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`